Opened 6 months ago

Last modified 2 months ago

#29379 new enhancement

Upgrade R to 4.x

Reported by: mkoeppe Owned by:
Priority: minor Milestone: sage-wishlist
Component: packages: standard Keywords:
Cc: dimpase, charpent, fbissey, mjo Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description (last modified by mkoeppe)

Previous upgrade:

  • #29441 - upgrade rpy2 package 2.8.2 -> 3.3.5, upgrade R to 3.6.3, add new dependencies

Related tickets:

  • #29170 - Fix R installation errors related to gfortran
  • #29378 - Update OpenBLAS to 0.3.9

Change History (7)

comment:1 Changed 6 months ago by mkoeppe

  • Branch set to u/mkoeppe/upgrade_r_3.6.3

comment:2 Changed 6 months ago by mkoeppe

  • Commit set to 0a8654634e061d70da7a69ce944d544006e47906

Tests run at https://github.com/mkoeppe/sage/actions/runs/59805322


New commits:

0a86546Update R to 3.6.3, add upstream_url

comment:3 Changed 6 months ago by mkoeppe

The update by itself does not fix the errors of the type reported in #29170.

On ubuntu-bionic-minimal (https://github.com/mkoeppe/sage/runs/522493080)

In file included from ../../src/include/R_ext/Applic.h:41:0,
                 from maxcol.c:37:
../../src/include/R_ext/BLAS.h:103:55: error: expected declaration specifiers or '...' before ')' token
   const double *beta, double *y, const int *incy FCLEN);

comment:4 Changed 5 months ago by mkoeppe

  • Milestone changed from sage-9.1 to sage-9.2

comment:5 Changed 3 months ago by mkoeppe

Meanwhile also 4.0.2 is out - https://cran.r-project.org/src/base/R-4/

comment:6 Changed 3 months ago by mkoeppe

  • Priority changed from major to minor

comment:7 Changed 2 months ago by mkoeppe

  • Branch u/mkoeppe/upgrade_r_3.6.3 deleted
  • Commit 0a8654634e061d70da7a69ce944d544006e47906 deleted
  • Description modified (diff)
  • Milestone changed from sage-9.2 to sage-wishlist
  • Summary changed from Upgrade R to 3.6.3 to Upgrade R to 4.x
Note: See TracTickets for help on using tickets.